dht::Scheduler::Job Struct Reference

## Public Member Functions

| Job (std::function< void()> &&f)
void | cancel ()

## Public Attributes

std::function< void()> | do_

## Detailed Description

Definition at line 39 of file scheduler.h.

## Constructor & Destructor Documentation

## Job()

dht::Scheduler::Job::Job | ( | std::function< void()> && | f | ) |

inline

Definition at line 40 of file scheduler.h.

## Member Function Documentation

## cancel()

void dht::Scheduler::Job::cancel | ( |  | ) |

inline

Definition at line 42 of file scheduler.h.

## Member Data Documentation

## do_

std::function<void()> dht::Scheduler::Job::do_

Definition at line 41 of file scheduler.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/scheduler.h